<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>propclass/spawn.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">propclass/spawn.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Copyright (C) 2004 by Jorrit Tyberghein</span>
<a name="l00004"></a>00004 <span class="comment"></span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef __CEL_PF_SPAWN__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_PF_SPAWN__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cstypes_8h.html">cstypes.h</a>&quot;</span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/scf_8h.html">csutil/scf.h</a>&quot;</span>
<a name="l00025"></a>00025 
<a name="l00055"></a><a class="code" href="structiPcSpawn.html">00055</a> <span class="keyword">struct </span><a class="code" href="structiPcSpawn.html" title="Spawn property class.">iPcSpawn</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00056"></a>00056 {
<a name="l00057"></a>00057   SCF_INTERFACE (<a class="code" href="structiPcSpawn.html" title="Spawn property class.">iPcSpawn</a>, 1, 1, 0);
<a name="l00058"></a>00058 
<a name="l00063"></a>00063   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcSpawn.html#ac83ab975dd90bbb86794f14c6d949dc9" title="Enable/disable spawning.">SetEnabled</a> (<span class="keywordtype">bool</span> e) = 0;
<a name="l00067"></a>00067   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcSpawn.html#a8d2f4994d841866fb5c551f81d7f77c3" title="Is spawning enabled.">IsEnabled</a> () <span class="keyword">const</span> = 0;
<a name="l00068"></a>00068 
<a name="l00084"></a>00084   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcSpawn.html#a236122722af95031a7372effc172174f" title="Add an entry to the list of entities that can be created by this property class.">AddEntityType</a> (<span class="keywordtype">float</span> chance, <span class="keyword">const</span> <span class="keywordtype">char</span>* name, <a class="code" href="structiCelBlLayer.html" title="This is the Behaviour Layer itself.">iCelBlLayer</a>* bl,
<a name="l00085"></a>00085         <span class="keyword">const</span> <span class="keywordtype">char</span>* behaviour, <span class="keyword">const</span> <span class="keywordtype">char</span>* msg_id,
<a name="l00086"></a>00086         <a class="code" href="structiCelParameterBlock.html" title="This interface is a parameter block that can be used to pass parameters through SendMessage() in a be...">iCelParameterBlock</a>* params, ...) = 0;
<a name="l00087"></a>00087 
<a name="l00102"></a>00102   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcSpawn.html#ab01ddfadde358f2a61c36ffe7235f94d" title="Add an entry to the list of entities that can be created by this property class.">AddEntityTemplateType</a> (<span class="keywordtype">float</span> chance, <span class="keyword">const</span> <span class="keywordtype">char</span>* templ,
<a name="l00103"></a>00103         <span class="keyword">const</span> <span class="keywordtype">char</span>* name, <span class="keyword">const</span> <span class="keywordtype">char</span>* msg_id,
<a name="l00104"></a>00104         <a class="code" href="structiCelParameterBlock.html" title="This interface is a parameter block that can be used to pass parameters through SendMessage() in a be...">iCelParameterBlock</a>* params) = 0;
<a name="l00105"></a>00105 
<a name="l00109"></a>00109   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcSpawn.html#a8189e1e56b7a6c820cbea87333cd2e5f" title="Clear the list of entities to create.">ClearEntityList</a> () = 0;
<a name="l00110"></a>00110 
<a name="l00120"></a>00120   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcSpawn.html#a6582b9e9f285b1c20c20a61d1ca41f10" title="Set timing information.">SetTiming</a> (<span class="keywordtype">bool</span> repeat, <span class="keywordtype">bool</span> random,
<a name="l00121"></a>00121         <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a> mindelay, <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a> maxdelay) = 0;
<a name="l00122"></a>00122 
<a name="l00130"></a>00130   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcSpawn.html#a762bb7143bb11f8adf31cd34908d02d9" title="Reset timing.">ResetTiming</a> () = 0;
<a name="l00131"></a>00131 
<a name="l00138"></a>00138   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcSpawn.html#abb48533ecb97580f7d4561c385d40a37" title="Enable/disable entity name counter.">SetEntityNameCounter</a> (<span class="keywordtype">bool</span> en) = 0;
<a name="l00139"></a>00139 
<a name="l00143"></a>00143   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcSpawn.html#a0c1e3a11ef829d70d637092e6ec68e3b" title="Return true if the unique entity name counter is enabled.">IsEntityNameCounterCounter</a> () <span class="keyword">const</span> = 0;
<a name="l00144"></a>00144 
<a name="l00151"></a>00151   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcSpawn.html#aa722737ca5b3118b05b6e513384df779" title="This is useful in combination with a disabled entity name counter (SetEntityNameCounter(false)).">EnableSpawnUnique</a> (<span class="keywordtype">bool</span> en) = 0;
<a name="l00152"></a>00152 
<a name="l00156"></a>00156   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcSpawn.html#a7c858c3cf2b6d1c702018114f36fc7bf" title="Return true if spawn unique is enabled.">IsSpawnUniqueEnabled</a> () <span class="keyword">const</span> = 0;
<a name="l00157"></a>00157 
<a name="l00161"></a>00161   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcSpawn.html#a60ea847d706042989d6185563faf94c9" title="Inhibit respawn in case count will reach given number.">InhibitCount</a> (<span class="keywordtype">int</span> number) = 0;
<a name="l00162"></a>00162 
<a name="l00166"></a>00166   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcSpawn.html#ab6f7000f66d83fad00f0958aac7064c9" title="Spawn at this moment any random entity from a list.">Spawn</a> () = 0;
<a name="l00167"></a>00167 
<a name="l00172"></a>00172   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcSpawn.html#a9d21a3f5844714cb3bc83bf3ad0d7fd9" title="Set positional information about where to spawn.">AddSpawnPosition</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* node, <span class="keywordtype">float</span> yrot,
<a name="l00173"></a>00173         <span class="keyword">const</span> <span class="keywordtype">char</span>* sector) = 0;
<a name="l00174"></a>00174 
<a name="l00179"></a>00179   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcSpawn.html#a9d21a3f5844714cb3bc83bf3ad0d7fd9" title="Set positional information about where to spawn.">AddSpawnPosition</a> (<span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&amp; pos, <span class="keywordtype">float</span> yrot,
<a name="l00180"></a>00180         <span class="keyword">const</span> <span class="keywordtype">char</span>* sector) = 0;
<a name="l00181"></a>00181 };
<a name="l00182"></a>00182 
<a name="l00183"></a>00183 <span class="preprocessor">#endif // __CEL_PF_SPAWN__</span>
<a name="l00184"></a>00184 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
